Bug 218616 - multiple master map entries with the same key are handled improperly
multiple master map entries with the same key are handled improperly
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: autofs (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ian Kent
Brock Organ
:
Depends On:
Blocks: 220799
  Show dependency treegraph
 
Reported: 2006-12-06 09:55 EST by Jeffrey Moyer
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version: RC
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-07 20:26:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Remove ability to use multiple indirect mount entries in master map (809 bytes, patch)
2006-12-06 23:43 EST, Ian Kent
no flags Details | Diff

  None (edit)
Description Jeffrey Moyer 2006-12-06 09:55:38 EST
Description of problem:
Given an auto.master with the following:

/home    /etc/auto.home
/home    /etc/auto.home2

The correct behaviour is to only incorporate the contents of the /etc/home map
into the /home dir.  Autofs v5.0.1-0.rc2.27 will instead include the contents of
both /etc/auto.home and /etc/auto.home2.

Version-Release number of selected component (if applicable):
autofs-5.0.1-0.rc2.27

How reproducible:
100%

Steps to Reproduce:

Create an auto.master map with the following entries:

/home    /etc/auto.home -browse
/home    /etc/auto.home2 -browse

Create /etc/auto.home:

foo    server:/export/foo

Create /etc/auto.home2:

bar    server:/export/bar

Start the automounter:

# service autofs start

Perform an ls of /home:

# ls /home

Currently, the directory listing will include foo and bar.  If things worked
properly, only foo would be present in the directory listing.

Given that this is a common way to override site-wide default maps, I think this
problem needs to be addressed in the short term.
Comment 1 RHEL Product and Program Management 2006-12-06 10:30:32 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 2 Tom Coughlan 2006-12-06 12:46:23 EST
Jeff says this is a serious correctness issue - when browsable maps are used,
people will see and be able to mount directory entries that should not be there.
It is also a regression. Proposing as a blocker.  
Comment 3 Ian Kent 2006-12-06 23:43:57 EST
Created attachment 143025 [details]
Remove ability to use multiple indirect mount entries in master map

After discussing this with Jeff I agree the functionality
should be removed. If left in it would compromise our goal
of compatibility.

autofs v5 Packages updated.

Ian
Comment 5 RHEL Product and Program Management 2007-02-07 20:26:31 EST
A package has been built which should help the problem described in 
this bug report. This report is therefore being closed with a resolution 
of CURRENTRELEASE. You may reopen this bug report if the solution does 
not work for you.

Note You need to log in before you can comment on or make changes to this bug.